---
title: RTCInboundRtpStreamStats.fecPacketsReceived
slug: Web/API/RTCInboundRtpStreamStats/fecPacketsReceived
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>fecPacketsReceived</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates how many Forward Error Correction (FEC) packets have been received by this RTP receiver from the remote peer.</span> An FEC packet provides parity information which can be used to attempt to reconstruct RTP data packets which have been corrupted in transit.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>fecPacketsReceived</em> = <em>rtcInboundRtpStreamStats</em>.fecPacketsReceived;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer value which indicates the total number of FEC packets which have been recieved from the remote peer during this RTP session. Forward Error Correction uses an exclusive-or method to perform parity checks on the received data.</p>

<p>By using the FEC parity information to attempt to reconstruct damaged packets, it is possible to avoid the need to retransmit damaged packets, which in turn helps to reduce lag, or the need to skip damaged frames entirely.</p>

<div class="notecard note">
<p><strong>Note:</strong> This counter may also be incremented when FEC packets arrive in-band along with media content; this can happen with Opus, for example.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p>It's possible that a subset of the FEC packets which have been received were discarded instead of being used. This can happen if the packets covered by the FEC packets have already been received successfully or have already been reconstructed using a previously-received FEC packet. This may also happen if the FEC packet arrives outside the window of time in which the client will attempt to use it.</p>

<p>If you wish to know how many of the received packets were discarded, you can examine the value of {{domxref("RTCInboundRtpStreamStats.fecPacketsDiscarded", "fecPacketsDiscarded")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-fecpacketsreceived', 'RTCInboundRtpStreamStats.fecPacketsReceived')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.fecPacketsReceived")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(5109)}} (RTP Payload Format for Generic Forward Error Correction)</li>
</ul>
